This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 887231 - [abrt] sysstat-9.0.4-20.el6: Process /usr/bin/sar was killed by signal 11 (SIGSEGV)
[abrt] sysstat-9.0.4-20.el6: Process /usr/bin/sar was killed by signal 11 (SI...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sysstat (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Peter Schiffer
Branislav Náter
Petr Bokoc
: Patch, Reopened, Upstream
Depends On:
Blocks: 1172231 1254457 1272873
  Show dependency treegraph
 
Reported: 2012-12-14 06:42 EST by prashant ingale
Modified: 2016-05-10 16:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: sysstat-9.0.4-28.el6
Doc Type: Bug Fix
Doc Text:
Corrupted data files no longer crash "sar" Previously, the "sar" command could crash when loading a corrupted system activity data due to `localtime()` function calls not being properly checked in *sysstat*. This bug has been fixed and corrupted system activity data files no longer crash "sar".
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 16:31:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sysstat-9.0.4-localtime.patch (2.90 KB, patch)
2013-07-30 06:22 EDT, Peter Schiffer
no flags Details | Diff

  None (edit)
Description prashant ingale 2012-12-14 06:42:29 EST
Description of problem:
sysstat getting crash randomly

Version-Release number of selected component (if applicable):
sysstat-9.0.4-20.el6

How reproducible:
randomly 

Steps to Reproduce:
1.run the below command
 $ /usr/bin/sar -A -f /var/log/sa//sa13
2. occur randomly
3.
  
Actual results:
it gets crash

Expected results:
it should not get crash

Additional info:
Comment 4 RHEL Product and Program Management 2012-12-14 06:59:47 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 Peter Schiffer 2013-07-30 06:22:05 EDT
Created attachment 780524 [details]
sysstat-9.0.4-localtime.patch
Comment 10 Peter Schiffer 2014-05-19 11:12:23 EDT
Hello,

what's the status of this bug? I see customer case is closed. Would it be possible to get the problematic sa daily data file from customer, if he is still able to reproduce the issue?

Upstream fix can be found here, but without any note on reproducer:
https://github.com/sysstat/sysstat/commit/5459ecb40ace4f91d6d765f4b1b06156805b10d9

I would like to see the patch backported in RHEL-6, but I would rather avoid manually modifying sa files for reproducer purposes..

peter
Comment 11 Peter Schiffer 2014-05-20 12:12:15 EDT
I wasn't able to reproduce the bug even by modifying the sa daily data file, thus I'm closing this bug as INSUFFICIENT_DATA. In case you have any information which could help reproduce the bug, or you came across it again, feel free to reopen this bug.

Thanks,

peter
Comment 15 Peter Schiffer 2015-02-09 09:01:35 EST
Hello,

I can verify that attached sa data file crashes sysstat and that attached patch fixes the crash. I'm proposing this bug for RHEL-6.8, but this late in the cycle, I can't guarantee that it'll be fixed. If this bug is important for you, please talk to the PM.

Thanks,

peter
Comment 22 errata-xmlrpc 2016-05-10 16:31:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0790.html

Note You need to log in before you can comment on or make changes to this bug.